// Copyright (C) 2021 Bosutech XXI S.L.
//
// nucliadb is offered under the AGPL v3.0 and as commercial software.
// For commercial licensing, contact us at info@nuclia.com.
//
// AGPL:
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

use std::io::Result;

fn main() -> Result<()> {
    println!("cargo:rerun-if-changed=../../nucliadb_protos");
    println!("cargo:rerun-if-changed=src");
    tonic_build::configure().emit_rerun_if_changed(false).compile_protos(
        &[
            "src/nidx.proto",
            "../../nucliadb_protos/nodereader.proto",
            "../../nucliadb_protos/noderesources.proto",
            "../../nucliadb_protos/nodewriter.proto",
        ],
        &["../../", "src"],
    )?;
    Ok(())
}
